
{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 container border rounded border-white py-4 my-3 d-flex flex-column">
    <div class="w-100 d-flex flex-column justify-content-center align-items-center">
        <h2 class="mb-2">PLANNING POKER</h2>
        <h5 class="mb-2">Ajout des tâches</h5>
    </div>
    {% if alert %}
        <div class="w-100 d-flex justify-content-center align-items-center align-content-center">
            <div class="alert alert-{% if alert.type == 'success' %}success{% else %}danger{% endif %}" role="alert">
                {{ alert.message }}
            </div>
        </div>
    {% endif %}

    <div class="d-flex flex-column justify-content-start align-content-start align-items-center p-2 border border-white rounded">
        <div class="d-flex justify-content-start align-items-startalign-content-center gap-1 p-2 w-100">
            <div data-sectionGole="import" onclick="handleAddTaskSection(this)" class="fake-btn cursor-pointer p-2 border rounded border-white add-tasks-menu-item {% if not gotoadd %} active {% endif %}">
                <span>Importer des tâches</span>
            </div>
            <div data-sectionGole="add" onclick="handleAddTaskSection(this)"  class="fake-btn cursor-pointer p-2 border rounded border-white add-tasks-menu-item {% if gotoadd %} active {% endif %}">
                <span>Ajouter à les mains</span>
            </div>
        </div>

        <div class="w-100">
            <form action="{% url 'import_tasks' %}" data-sectionName="import" method="post" enctype="multipart/form-data"  class="{% if not gotoadd %} d-flex {% else %} d-none {% endif %} w-100 d-flex flex-column justify-content-center align-content-center align-items-center pt-5 mb-2">
                {% csrf_token %}

                <div class="d-flex flex-column gap-1 align-items-center my-4">
                    <div class="d-flex justify-content-center align-content-center ">
                        <label for="json-path" class=" p-2 rounded cursor-pointer" style="font-size: 5rem; border: 2px dotted black">
                        <i class="fa-solid fa-plus fa-cloud-arrow-up"></i></label>
                        <input type="file" name="json-path" class="text form-control d-none file-input" id="json-path" onchange="handleDisplkayFileName()">
                    </div>
                </div>
                <span id="fileNameHolder"></span>
                <div class="w-100 d-flex flex-column align-items-start justify-content-start ">

                   <div id="temp-data" class="d-none" >
                       <h5 class="mb-2">Les tâches dans se fichier :</h5>
                       <ul id="temp-data-menu">
                       </ul>
                   </div>
                </div>
                <div class="d-flex justify-content-center align-items-center gap-3">
                    <button type="submit" class="normal-btn text-white d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                        <span id="importTaskBtn">Ajouter</span>
                        <i class="fa-solid fa-user text-white fa-fade "></i>
                    </button>
                </div>
            </form>

            <form action="{% url 'add_tasks' %}" id="new-item" data-sectionName="add" method="post"  class="{% if gotoadd %} d-flex {% else %} d-none {% endif %} d-flex  w-100 flex-column justify-content-center align-content-center align-items-center pt-5 mb-2">
                {% csrf_token %}
                <div class="w-75 d-flex flex-column justify-content-center align-items-center align-content-center gap-2 py-3">
                    <label for="item" class="form-label">Ajoutez la tâche ici :</label>
                    <input type="text" class="form-control w-100" id="item" name="task">
                </div>
                <div class="d-flex justify-content-center align-items-center">
                    <div id="new-item-alert" class="d-none alert alert-danger d-flex justify-content-center align-items-center text-center">
                        <p id="errer-text" class="mb-0">La tâche doit comporter au moins 4 caractères</p>
                    </div>
                </div>
                <div class="d-flex justify-content-center align-items-center gap-3">
                    <button type="button" onclick="handleNewItemSubmit(this)" class="normal-btn text-white d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                        <span>Ajouter</span>
                        <i class="fa-solid fa-user text-white fa-fade "></i>
                    </button>

                </div>
            </form>
            {% if not mustAdd %}
            <div class="d-flex justify-content-center align-content-center align-items-center">
                <a href="{% url 'add_users' %}" class="normal-link text-white d-flex justify-content-center align-content-center align-items-center gap-3 px-4 py-2 rounded bg-success text-white">
                    <span>Suivant</span>
                    <i class="fa-solid fa-arrow-right text-white fa-fade "></i>
                </a>
            </div>
            {% endif %}


        </div>

    </div>
    {% if tasks %}
        <div>
            <h3>Les tâches actuelles :</h3>
            <ul>
                {% for task in tasks %}
                    <li>{{ task.name }}</li>
                {% endfor %}
            </ul>
        </div>
    {% endif %}
</main>

{% endblock main %}
